### Function

# GObject signal_lookup

since: 2.0

#### Declaration

    guint
    g_signal_lookup (
      const gchar* name,
      GType itype
    )

#### Description

Given the name of the signal and the type of object it connects to, gets the signal’s identifying integer. Emitting the signal by number is somewhat faster than using the name each time.

Also tries the ancestors of the given type.

The type class passed as `itype` must already have been instantiated (for example, using g_type_class_ref()) for this function to work, as signals are always installed during class initialization.

See `g_signal_new()` for details on allowed signal names.

Available since: 2.0

#### Parameters

`name`

  Type: `const gchar*`

  The signal’s name.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`itype`

  Type: `GType`

  The type that the signal operates on.

#### Return value

Type: `guint`

The signal’s identifying number, or 0 if no signal was found.